
QGIS Application - Bug report #12325

Integer fields converted to text when exported from Spatialite

2015-03-06 01:07 AM - Roy Roge

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 20503

Description

Integer fields of a Spatialite table are converted to text field

when saved as shapefile

Related issues:

Related to QGIS Application - Bug report # 12356: DB Manager loads NUMERIC fi... Closed 2015-03-11

Related to QGIS Application - Bug report # 12785: Adding spatialite layer to ... Closed 2015-05-20

Associated revisions

Revision 6e55fbe1 - 2015-06-14 08:55 PM - Jürgen Fischer

save spatialite as: create integer column from qlonglong if it fits (fixes #12325; followup b736317)

Revision 38961dc7 - 2015-06-29 10:33 PM - Jürgen Fischer

save spatialite as: create integer column from qlonglong if it fits (fixes #12325; followup b736317)

(cherry picked from commit 6e55fbe1495e5a3d2a1ba3181a71543e026edc1a)

History

#1 - 2015-05-10 01:03 AM - Giovanni Manghi

- Target version changed from Version 2.8.1 to Version 2.8.2

#2 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#3 - 2015-06-14 11:56 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"6e55fbe1495e5a3d2a1ba3181a71543e026edc1a".
